Skip to main content
POST
/
api
/
v1
/
projects
/
{id}
/
change_sharing
POST projects change_sharing
curl --request POST \
  --url https://app.onecodex.com/api/v1/projects/{id}/change_sharing \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "public": false
}
'
import requests

url = "https://app.onecodex.com/api/v1/projects/{id}/change_sharing"

payload = { "public": False }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({public: false})
};

fetch('https://app.onecodex.com/api/v1/projects/{id}/change_sharing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$uri": "/api/v1/projects/0d77065796f8d173",
  "owner": {
    "__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
  },
  "permissions": [
    "<string>"
  ],
  "project_name": "<string>",
  "description": "<string>",
  "external_id": "PRJ-2024-001",
  "name": "<string>",
  "public": false
}
Change a Project’s visibility (e.g., make it public or restrict it to organization members).

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Body

application/json
public
boolean
default:false

Whether the project is public.

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/projects/[a-f0-9]{16}$
Example:

"/api/v1/projects/0d77065796f8d173"

owner
users · object
required
permissions
string[]
required
project_name
string | null
required
Required string length: 3 - 15
Pattern: ^[a-zA-Z0-9_-]{3,15}$
description
string | null
external_id
string | null
Example:

"PRJ-2024-001"

name
string | null
public
boolean
default:false